// Package define ...
//
// Description : define ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-03-11 11:40
package define

// EventData ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 11:41 2024/3/11
type EventData struct {
	EventType       string      `json:"event_type"`       // 事件类型
	TraceID         string      `json:"trace_id"`         // 事件追踪ID
	Host            string      `json:"host"`             // 触发事件host
	Timestamp       int64       `json:"timestamp"`        // 触发时间,纳秒级时间戳
	SystemTimestamp int64       `json:"system_timestamp"` // 发送时的系统时间
	Data            interface{} `json:"data"`             // 发送的数据
}
